Subject: bug#3422: 23.0.94; window-height returns window buffer

From: Lennart Borgman <[email-masked]>
Date: Sat, 30 May 2009 15:55:14 +0200

On Sat, May 30, 2009 at 3:47 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Sat, 30 May 2009 15:20:14 +0200
>> From: Lennart Borgman <[email-masked]>
>> Cc:
>>
>> After restarting Emacs I still see some problems. I can't use
>> ediff-revision, I get
>>
>>   Debugger entered--Lisp error: (error "Running cvs -Q update  -p
>> window.c...FAILED (status 255)")
>
> A full backtrace might be extremely useful here.

After rebooting I tested again and it looks like savannah is down so
this is no problem. I was just unsure before rebooting so I included
this too.

However the other problem worries me. As I said it might be related to
frame creation. I have code that creates several frames in a row. I
get no errors, but Emacs has on several occasions crashed later. I did
not see any such crashes until I started using the code which creates
frames. This code is run at Emacs startup just after desktop. It
restores frames and windows. make-frame gets parameters like this

   '((icon-name)
     (top + -4)
     (left + -4)
     (unsplittable)
     (width . 235)
     (height . 64)
     (visibility . t)
     (modeline . t)
     (background-mode . light)
     (alpha)
     (scroll-bar-width . 17)
     (cursor-type . box)
     (auto-lower)
     (auto-raise)
     (icon-type)
     (buffer-predicate)
     (tool-bar-lines . 0)
     (menu-bar-lines . 1)
     (right-fringe . 8)
     (left-fringe . 8)
     (line-spacing)
     (screen-gamma)
     (border-color . "black")
     (cursor-color . "black")
     (mouse-color . "black")
     (background-color . "SystemWindow")
     (foreground-color . "SystemWindowText")
     (vertical-scroll-bars . right)
     (internal-border-width . 0)
     (border-width . 2)
     (font . "-outline-Courier
New-normal-normal-normal-mono-13-*-*-*-c-*-iso8859-1")
     (font-backend uniscribe gdi))

I do not know if this info can help.

I also do some window creation and size modification when restoring
the frames. There could be something in those C routines that are
called there, but I have never seen any crashes when using the same
routines interactively (winsav.el, part of nXhtml).